oracle.dbtools.plugin.api.pagination

## Interface PaginationContext

-     public interface PaginationContext

  Describes the requested pagination parameters for a `HttpServletRequest`. The values encoded in the request's query string (`QUERY_FIELDS`) are extracted from the `HttpServletRequest` and represented by this object.
  Author:
    cdivilly

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PaginationContext.Builder` Build `PaginationContext` instances

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ITEM_OFFSET` The zero based offset of the first item to appear in the page
    `static String` | `LIMIT` The requested maximum number of items in the page.
    `static String` | `PAGE_OFFSET` The zero based offset of the page
    `static List<String>` | `QUERY_FIELDS` The reserved names of query string fields used by `Pagination`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `itemOffset()` The zero based index offset of the first item to appear in the page
    `long` | `limit()` The requested maximum number of items in the page.
    `PaginationContext.Builder` | `modify()` Modify this `PaginationContext`
    `long` | `pageOffset()` The zero based page offset

- - ### Field Detail

    - #### ITEM_OFFSET

          static final String ITEM_OFFSET

      The zero based offset of the first item to appear in the page
      See Also:
        Constant Field Values

    - #### LIMIT

          static final String LIMIT

      The requested maximum number of items in the page.
      See Also:
        Constant Field Values

    - #### PAGE_OFFSET

          static final String PAGE_OFFSET

      The zero based offset of the page
      See Also:
        Constant Field Values

    - #### QUERY_FIELDS

          static final List<String> QUERY_FIELDS

      The reserved names of query string fields used by `Pagination`.

  - ### Method Detail

    - #### itemOffset

          long itemOffset()

      The zero based index offset of the first item to appear in the page
      Returns:
        the index or -1 if no item offset was specified in the request

    - #### limit

          long limit()

      The requested maximum number of items in the page. Note this value will be clamped to be no greater than the `Pagination.maximumLimit()` value.
      Returns:
        the requested maximum number of items, or -1 if no limit was specified.

    - #### modify

          PaginationContext.Builder modify()

      Modify this `PaginationContext`
      Returns:
        `PaginationContext.Builder` instance

    - #### pageOffset

          long pageOffset()

      The zero based page offset
      Returns:
        the page offset or -1 if no page offset was specified in the request

Copyright © 2010, 2022, Oracle and/or its affiliates.